/**
 * Copyright (c) 2012 EBMWebsourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.probes.api.exceptions;

/**
 * A key does not exist in the keyed probe.
 * 
 * @author Christophe DENEUX (PetalsLink)
 * 
 */
public class ProbeKeyMissingException extends ProbeException {
	
	private static final long serialVersionUID = -4541279371393793651L;
	
	/**
	 * The key as {@link String} that is missing.
	 */
	private final String[] key;

    public ProbeKeyMissingException(final String[] key) {
    	super("The key is missing.");
		this.key = key;
	}

	public String[] getKey() {
		return this.key;
	}

}
