/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.probes.api.probes;

import java.util.List;

/**
 * A wrapper of a start time of an execution.
 * <p>
 * <b>Caution:</b> This class <b>MUST</b> define a method 'equals' based on
 * equality of instance, not on equality of attributes values. Instances of this
 * class are added to a {@link List} in which the instance removing <b>MUST</b>
 * be done according to the instance and not its content (attributes values).
 * </p>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class StartDateItem {

    /**
     * The start time as timestamp.
     */
    public final long startDate;

    public StartDateItem(final long startTime) {
        this.startDate = startTime;
    }
}
