/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.probes.api;

import java.util.Timer;

import org.ow2.petals.probes.api.probes.CounterGaugeProbe;
import org.ow2.petals.probes.api.probes.CounterProbe;
import org.ow2.petals.probes.api.probes.DurationProbe;
import org.ow2.petals.probes.api.probes.GaugeProbe;
import org.ow2.petals.probes.api.sensor.GaugeSensor;
import org.ow2.petals.probes.api.sensor.detector.GaugeDefectDetector;

/**
 * Another probes factory to use by unit tests only that is a duplicate of
 * {@link TestProbesFactory}.
 * 
 * @param <T>
 *            The type of measured values (internal value type).
 * @param <S>
 *            The type of value to return to client probe (external value type).
 * 
 * @author Christophe DENEUX (Linagora)
 */
public class AnotherTestProbesFactory<T extends Comparable<T>, S> implements ProbesFactory<T, S> {

    @Override
    public CounterProbe createCounterProbe() {
        // NOP, it's a test class
        return null;
    }

    @Override
    public CounterGaugeProbe createCounterGaugeProbe(final long initialValue) {
        // NOP, it's a test class
        return null;
    }

    @Override
    public GaugeProbe<T, S> createGaugeProbe(final GaugeSensor<T, S> sensor) {
        // NOP, it's a test class
        return null;
    }

    @Override
    public GaugeProbe<T, S> createGaugeProbe(final GaugeSensor<T, S> sensor,
            final GaugeDefectDetector<T> defectDetector) {
        // NOP, it's a test class
        return null;
    }

    @Override
    public DurationProbe createDurationProbe(final Timer timer, final long samplePeriod) {
        // NOP, it's a test class
        return null;
    }

    @Override
    public DurationProbe createDurationNanoProbe(final Timer timer, final long samplePeriod)
            throws IllegalArgumentException {
        // NOP, it's a test class
        return null;
    }
}
