/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.probes.api.probes;

import java.util.LinkedList;
import java.util.List;

import junit.framework.TestCase;

/**
 * Unit tests to check that {@link StartDateItem} define a method 'equals' based
 * on equality of instance, not on equality of attributes values
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class StartDateItemTestCase extends TestCase {

    public void testListRemoving_001() {
        final List<StartDateItem> startDateItems = new LinkedList<StartDateItem>();
        
        final StartDateItem item1 = new StartDateItem(
                System.currentTimeMillis());
        final StartDateItem item2 = new StartDateItem(
                System.currentTimeMillis());
        final StartDateItem item3 = new StartDateItem(
                System.currentTimeMillis());

        startDateItems.add(item1);
        startDateItems.add(item2);
        startDateItems.add(item3);

        TestCase.assertTrue("Item2 was not removed.", startDateItems.remove(item2));
        TestCase.assertTrue("The list does bot contain item1", startDateItems.contains(item1));
        TestCase.assertTrue("The list does bot contain item3", startDateItems.contains(item3));

    }
    
}
